%define upstream_name    Dancer-Plugin-DBIC
%define upstream_version 0.1700

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    DBIx::Class interface for Dancer applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class)
BuildRequires: perl(Dancer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Load)
BuildArch:  noarch

%description
This plugin provides an easy way to obtain the DBIx::Class::ResultSet
manpage instances via the the function schema(), which it automatically
imports. You just need to point to a dsn in your the Dancer manpage
configuration file. So you no longer have to write boilerplate DBIC setup
code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 365252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 342021
- update to 0.1700

* Mon Oct 01 2012 jquelin <jquelin> 0.160.100-1.mga3
+ Revision: 301262
- update to 0.1601

* Tue Jun 05 2012 jquelin <jquelin> 0.150.600-1.mga3
+ Revision: 254797
- update to 0.1506

* Mon Mar 05 2012 jquelin <jquelin> 0.150.500-1.mga2
+ Revision: 218675
- update to 0.1505

* Wed Jan 26 2011 jquelin <jquelin> 0.150.400-1.mga1
+ Revision: 41062
- mageia rebuild
- imported package perl-Dancer-Plugin-DBIC

